# Neomeet API

## Login

<mark style="color:green;">`POST`</mark> `https://staging105.neomeet.fi/api/v1/login`

This endpoint allows you to get the link to Neomeet home or authentication token for creating meeting in Neomeet.

#### Request Body

| Name                                       | Type   | Description                                                              |
| ------------------------------------------ | ------ | ------------------------------------------------------------------------ |
| username<mark style="color:red;">\*</mark> | string | Specific username for system provider (will be given by Neomeet)         |
| type<mark style="color:red;">\*</mark>     | string | It is either 'home' or 'create\_meeting'                                 |
| pmcId<mark style="color:red;">\*</mark>    | string | Property Management Company's ID (isännöitsijätoimiston yksilöllinen ID) |
| password<mark style="color:red;">\*</mark> | string | Specific password for system provider (will be given by Neomeet)         |
| email<mark style="color:red;">\*</mark>    | string | HCM's email address (isännöitsijän sähköposti)                           |

{% tabs %}
{% tab title="200 " %}

```
{ "home": "User's Neomeet Home Link","home_link_expire_time": "Timestamp in UTC" }

or 

{ "token":"Token","token_expire_time": "Timestamp in UTC" }
```

{% endtab %}
{% endtabs %}

## Create a Draft Meeting

<mark style="color:green;">`POST`</mark> `https://staging105.neomeet.fi/api/v1/create-meeting`

This endpoint allows you to create a draft meeting

#### Headers

| Name                                            | Type   | Description                                                |
| ----------------------------------------------- | ------ | ---------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer "Token from login API with type as create\_meeting" |

{% tabs %}
{% tab title="200 " %}

```
{ "meeting_link": "User's Neomeet Meeting Link","meeting_link_expire_time": "Timestamp in UTC" }
```

{% endtab %}
{% endtabs %}

## Create a Draft Voting

<mark style="color:green;">`POST`</mark> `http://neomeet.test/api/v1/create-voting`

This endpoint allows you to create a draft voting

#### Headers

| Name                                            | Type   | Description                                                |
| ----------------------------------------------- | ------ | ---------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer "Token from login API with type as create\_meeting" |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{ "meeting_link": "User's Neomeet Voting Link","meeting_link_expire_time": "Timestamp in UTC" }
```

{% endtab %}
{% endtabs %}

Body Parameter as JSON object\*

```
{
    "taloyhtion_nimi" : "As Oy Taloyhtiö",
    "alueet": [
      {
        "hallintalaji": {
          "koodi": "4",
          "koodisto": "HALLINTALAJI"
        },
        "tunnus": "91-17-16-1"
      }
    ],
    "osakekirjatPainettu": true,
    "osakeryhmat": [
      {
        "huoneisto": {
          "huoneistonumero": 11,
          "huoneistotyyppi": "1h+k",
          "osoite": {
            "katunimiSuomeksi": "Otavantie",
            "katunumero": "2"
          },
          "paahallintakohde": true,
          "pintaala": 35,
          "porras": "A",
          "rakennuksenNimi": "A"
        },
        "omistukset": [
          {
            "luonnollinenHenkilo": {
              "etunimet": "Yrjö Yrjänä",
              "osoite": {
                "lahiosoite": "Haahkatie 13 A 1",
                "postinumero": "00200",
                "postitoimipaikka": "Helsinki"
              },
              "sahkopostiosoite": "yrjo.virtanen@gmail.com",
              "puhelinnumero": "040614114",
              "sukunimi": "Virtanen",
              "syntymapvm": "1990-01-01"
            },
            "omistusosuusNimittaja": 1,
            "omistusosuusOsoittaja": 1
          }
        ],
        "osakesarjat": [
          {
            "alkunumero": 1,
            "loppunumero": 2,
            "osakelukumaara": 2
          }
        ],
        "yhtionViite": "123"
      },
      {
        "huoneisto": {
          "huoneistonumero": 2,
          "huoneistotyyppi": "1h+k",
          "osoite": {
            "katunimiSuomeksi": "Otavantie",
            "katunumero": "4"
          },
          "paahallintakohde": true,
          "pintaala": 35,
          "porras": "A",
          "rakennuksenNimi": "A"
        },
        "muutTilat": [
          {
            "tyyppi": {
              "koodi": "1",
              "koodisto": "MUU_TILA_TYYPPI"
            },
            "paahallintakohde": false,
            "pintaala": 20,
            "tunnus": "MT1",
            "yhtionViite": "127"
          }
        ],
        "omistukset": [
            {
              "luonnollinenHenkilo": {
                "etunimet": "Pekka",
                "osoite": {
                  "lahiosoite": "Haahkatie 13 A 1",
                  "postinumero": "00200",
                  "postitoimipaikka": "Helsinki"
                },
                "sahkopostiosoite": "Pekka.Yrjänä@gmail.com",
                "puhelinnumero": "040614115",
                "sukunimi": "Yrjänä",
                "syntymapvm": "1990-01-02"
              },
              "omistusosuusNimittaja": 1,
              "omistusosuusOsoittaja": 1
            }
          ],
        "osakesarjat": [
          {
            "alkunumero": 5,
            "loppunumero": 6,
            "osakelukumaara": 2
          }
        ],
        "yhtionViite": "125"
      }
    ],
    "rakennukset": [
      {
        "kunta": {
          "koodi": "019",
          "koodisto": "KUNTA"
        },
        "nimi": "A"
      },
      {
        "kunta": {
          "koodi": "019",
          "koodisto": "KUNTA"
        },
        "nimi": "B"
      }
    ],
    "ytunnus": "6780874-1"
  }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.neomeet.fi/master.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
